## rifiuti 20040505

=== src/Makefile ===
all: install

install:  rifiuti.c
	gcc -o rifiuti rifiuti.c -lm -lc;cp rifiuti ../bin

installwin:  rifiuti.c
	gcc -DCYGWIN -o rifiuti.exe rifiuti.c -lm -lc;cp rifiuti.exe ../bin

clean: 
	rm -f rifiuti.exe rifiuti

=== debian/changelog ===
rifiuti (20040505-4) unstable; urgency=medium

  * Team Upload

  [ Samuel Henrique ]
  * Bump DH to 13
  * Bump Standards-Version to 4.5.1
  * Add salsa-ci.yml
  * Configure git-buildpackage for Debian
  * d/control: Add 'Rules-Requires-Root: no'
  * d/rules: Remove '-Wl,--as-needed' flag as it's the default now

  [ Debian Janitor ]
  * Update standards version to 4.5.0, no changes needed.

 -- Samuel Henrique <samueloph@debian.org>  Mon, 01 Feb 2021 23:34:28 +0000

rifiuti (20040505-3) unstable; urgency=medium

  * Team upload.

  [ Helmut Grohne ]
  * Fix FTCBFS: Don't build during make install. (Closes: #902482)

  [ Aleksey Kravchenko ]
  * Fix crash on a malformed file (Closes: #716235)
  * Bump std-version to 4.3.0.
  * Switch to debhelper-compat (= 12)

 -- Aleksey Kravchenko <rhash.admin@gmail.com>  Tue, 12 Feb 2019 06:16:48 +0300

rifiuti (20040505-2) unstable; urgency=medium

  * Team upload.

  [ Lorenzo "Palinuro" Faletra ]
  * Fix upstream Makefile. (Closes: #900177)
  * debian/compat
    - Bump DH level to 10.
  * debian/control:
      - Bump Standards-Version to 4.1.4.1.
  * debian/watch:
      - Bump version 4.
  * use https where possible in d/*.
  * Add debian/gbp.conf for dep-14 compliance.

  [ Raphaël Hertzog ]
  * Update Vcs-* fields for the move to salsa.

 -- Lorenzo "Palinuro" Faletra <palinuro@parrotsec.org>  Sun, 27 May 2018 21:42:32 +0200

rifiuti (20040505-1) unstable; urgency=medium

  * Team upload.
  * Fixed the version number.
  * Migrations:
      - debian/copyright to 1.0 format.
      - debian/rules to new (reduced) format.
      - DebSrc to 3.0 format.
      - DH level to 9.
  * debian/control:
      - Added the word 'forensics' to long description.
      - Bumped Standards-Version to 3.9.6.
      - Removed the leading article from short description.
      - Updated the Homepage field.
      - Updated the long description.
      - Updated the Vcs-* fields.
  * debian/copyright:
      - Updated all information.
      - Updated the Source field in header.
  * debian/patches/add-GCC-hardening: added to provide GCC hardening.
  * debian/rifiuti.manpages: renamed to manpage.
  * debian/rifiuti.install: renamed to install.
  * debian/rifiuti.manpages:
      - Renamed to manpages.
      - Fixed the manpage place to respect the new file names.
      - Fixed some typos in manpage.
  * debian/rules:
      - Added an override to remove a file created by upstream (bin).
      - Added an override to avoid a double build.
  * debian/source.lintian-overrides: removed. Using 'Team upload' now.
  * debian/watch: created.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 22 Jul 2015 19:15:11 -0300

rifiuti (1.0+20040505-4) unstable; urgency=low

  * Updating package to standards version 3.8.2.
  * Adding lintian overrides.

 -- Daniel Baumann <daniel@debian.org>  Thu, 09 Jul 2009 12:30:58 +0200

rifiuti (1.0+20040505-3) unstable; urgency=low

  * Prefixing debhelper files with package name.
  * Updating to standards 3.8.1.
  * Updating year in copyright file.

 -- Daniel Baumann <daniel@debian.org>  Thu, 28 May 2009 22:19:05 +0200

rifiuti (1.0+20040505-2) unstable; urgency=low

  * Updating vcs fields.
  * Adding myself to copyright file.
  * Installing rifiuti into /usr/bin instead of /usr/sbin (Closes: #509473).

 -- Daniel Baumann <daniel@debian.org>  Tue, 23 Dec 2008 09:54:00 +0100

rifiuti (1.0+20040505-1) unstable; urgency=low

  [ Christophe Monniez ]
  * Initial release (Closes: #469963).
  * Man page corrections.
  * Copyright file corrections.
  * Corrections of typos in the package description.
  * Closing ITP bug in the changelog.
  * Correction of the version number in the changelog.

  [ Daniel Baumann ]
  * Updating to standards 3.8.0.
  * Upgrading package to debhelper 7.
  * Rewrapping copyright file.
  * Using tabs rather than whitespaces in debhelper install file.
  * Adding empty line as separator in clean target of rules.
  * Sorting vcs fields in control.
  * Correcting rules targets wrt/ bin directory handling.

 -- Daniel Baumann <daniel@debian.org>  Sun, 14 Sep 2008 10:44:00 +0200

=== debian/control ===
Source: rifiuti
Section: utils
Priority: optional
Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
Uploaders: Lorenzo Faletra <palinuro@parrotsec.org>
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://sf.net/projects/odessa
Vcs-Browser: https://salsa.debian.org/pkg-security-team/rifiuti
Vcs-Git: https://salsa.debian.org/pkg-security-team/rifiuti.git

Package: rifiuti
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: MS Windows recycle bin analysis tool
 Rifiuti is a tool to examine the INFO2 files. The INFO2 file gives meta
 information about the files found in the MS Windows recycle bin.
 .
 This package is useful in forensics investigations.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --sourcedirectory=src

override_dh_clean:
	dh_clean
	if [ -f $(CURDIR)/bin ]; then rm -f $(CURDIR)/bin; fi
	if [ -d $(CURDIR)/bin ]; then rm -f $(CURDIR)/bin/*; fi

=== debian/watch ===
version=4
opts=uversionmangle=s/_[0-9]//g \
https://sf.net/odessa/rifiuti[-_]([\d_]+)\.tar\.(?:bz2|gz|xz)
